NetworkInterfaceManager

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.davic.net.tuning
Class NetworkInterfaceManager

    java.lang.Object
      org.davic.net.tuning.NetworkInterfaceManager

All Implemented Interfaces:
  ResourceServer

    public class NetworkInterfaceManager

extends Object
implements ResourceServer

A network interface manager is an object that keeps track of broadcast network interfaces that are connected to the receiver.

There is only one instance of the network interface manager in a receiver and this can be retrieved using the getInstance method.

Method Summary
`void` | `addResourceStatusEventListener(ResourceStatusListener listener)` Registers a resource status listener to receive resource status events
`static NetworkInterfaceManager` | `getInstance()` Returns the instance of the NetworkInterfaceManager
`NetworkInterface` | `getNetworkInterface(TransportStream ts)` Returns the NetworkInterface with which the specified TransportStream object is associated.
`NetworkInterface[]` | `getNetworkInterfaces()` Returns all network interfaces.
`void` | `removeResourceStatusEventListener(ResourceStatusListener listener)` Removes the registration of a registered listener so that it will not receive resource status events any more

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static NetworkInterfaceManager getInstance()

  Returns the instance of the NetworkInterfaceManager

  Returns:
    network interface manager

### getNetworkInterfaces

    public NetworkInterface[] getNetworkInterfaces()

  Returns all network interfaces.

  If there are no network interfaces, returns an array with the length of zero.

  Returns:
    an array containing all network interfaces

### getNetworkInterface

    public NetworkInterface getNetworkInterface(TransportStream ts)

  Returns the NetworkInterface with which the specified TransportStream object is associated. It neither tunes nor reserves the NetworkInterface.

  Parameters:
    `ts` - Transport stream object
  Returns:
    network interface that is associated with the transport stream

### addResourceStatusEventListener

    public void addResourceStatusEventListener(ResourceStatusListener listener)

  Registers a resource status listener to receive resource status events

  Specified by:
    `addResourceStatusEventListener` in interface `ResourceServer`
  Parameters:
    `listener` - listener to be registered

### removeResourceStatusEventListener

    public void removeResourceStatusEventListener(ResourceStatusListener listener)

  Removes the registration of a registered listener so that it will not receive resource status events any more

  Specified by:
    `removeResourceStatusEventListener` in interface `ResourceServer`
  Parameters:
    `listener` - listener whose registration is to be removed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD